// 智库概览信息
import request from "@/api/request.js";

//创新主体主页:统计不同创新主体类型对应的主体数量
export function getCountSubjectType() {
  return request({
    method: 'GET',
    url: `/api/innovateSubject/countSubjectType`,
  })
}
// 创新主体主页:统计不同地理对应的主体数量
export function getCountGeography() {
  return request({
    method: 'GET',
    url: `/api/innovateSubject/countGeography`,
  })
}

//创新主体主页:类型列表
export function getSubjectTypeList() {
  return request({
    method: 'GET',
    url: `/api/innovateSubject/subjectTypeList`,
  })
}

//创新主体主页:通过类型分页查询创新主体列表
export function findListBySubjectTypeId(params) {
  return request({
    method: 'GET',
    url: `/api/innovateSubject/findListBySubjectTypeId`,
    params
  })
}

//创新主体主页:综合排名
export function getOverallRanking(params) {
  return request({
    method: 'GET',
    url: `/api/innovateSubject/overallRanking`,
    params
  })
}